package com.ozs.service.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.ozs.service.entity.MsgAlarmMatter;
import com.ozs.service.entity.vo.MsgAlarmMatterVo;
import com.ozs.service.entity.vo.MsgAlarmVo;
import com.ozs.service.mapper.MsgAlarmMatterMapper;
import com.ozs.service.service.MsgAlarmMatterService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;


/**
 * <p>
 * 异物侵限报警信息表 服务实现类
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Service
@Slf4j
public class MsgAlarmMatterServiceImpl extends ServiceImpl<MsgAlarmMatterMapper, MsgAlarmMatter> implements MsgAlarmMatterService {

    @Autowired
    private MsgAlarmMatterMapper msgAlarmMatterMapper;

    @Override
    public IPage<MsgAlarmMatter> queryPage(MsgAlarmMatterVo vo) {
        int pageNum = Integer.parseInt(vo.getPageNum().toString());
        int pageSize = Integer.parseInt(vo.getPageSize().toString());
        com.github.pagehelper.Page<MsgAlarmMatter> page = PageHelper.startPage(pageNum, pageSize)
                .doSelectPage(() -> msgAlarmMatterMapper.selectMsgAlarmList(vo));
        Page<MsgAlarmMatter> pageR = new Page<>(pageNum, pageSize);
        pageR.setRecords(page.getResult());
        pageR.setTotal(page.getTotal());
        return pageR;
    }

    @Override
    public List<MsgAlarmMatter> msgAlarmList(MsgAlarmMatterVo msgAlarmVo) {
        return msgAlarmMatterMapper.selectMsgAlarmList(msgAlarmVo);
    }
}
